//
//  NSFileManager+AvailableNames.h
//  Procreate
//
//  Created by Rowan James on 30/05/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import Foundation;

@interface NSFileManager (AvailableNames)

- (NSURL *)findAvailableFileNameWithBase:(NSURL *)baseURL;

- (NSURL *)findAvailableFileNameWithBase:(NSURL *)baseURL
							   extension:(NSString *)fileExt;

- (NSURL *)findAvailableFileNameWithBase:(NSURL *)baseURL
							   extension:(NSString *)fileExt
						  startingNumber:(NSUInteger)start;

- (NSURL *)findAvailableFileNameWithBase:(NSURL *)baseURL
							   extension:(NSString *)fileExt
						  startingNumber:(NSUInteger)start
								 maximum:(NSUInteger)max;

- (NSURL *)findAvailableFileNameWithBase:(NSURL *)baseURL
							   extension:(NSString *)fileExt
						  startingNumber:(NSUInteger)start
								 maximum:(NSUInteger)max
							 out_foundAt:(NSUInteger *)out_found;


@end
