//
//  NSObject+SupersequentImplementation.h
//  Procreate
//
//  Created by Rowan James on 3/10/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import Foundation;

@interface NSObject (SupersequentImplementation)

- (IMP)getImplementationOf:(SEL)lookup after:(IMP)skip;

@end

IMP impOfCallingMethod(id lookupObject, SEL selector);

#define invokeSupersequent(...) \
([self getImplementationOf:_cmd \
after:impOfCallingMethod(self, _cmd)]) \
(self, _cmd, ##__VA_ARGS__)

#define invokeSupersequentNoParameters() \
([self getImplementationOf:_cmd \
after:impOfCallingMethod(self, _cmd)]) \
(self, _cmd)
