//
//  SiUndoManager.h
//  Procreate
//
//  Created by Lloyd Bottomley on 13/01/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//

@import Foundation;
@import CoreGraphics;

#import "SiDiscardableUndo.h"

extern NSString *const SiUndoManagerDidBeginSaving;
extern NSString *const SiUndoManagerDidFinishSaving;


@interface SiUndoManager : NSUndoManager

@property (nonatomic, strong) NSString *nextActionName;
@property (atomic, readonly) BOOL backgroundSaving;

@property (nonatomic) CGPoint undoPosition;
@property (nonatomic) CGPoint redoPosition;

- (void)beginBackgroundedUndoSave;
- (void)endBackgroundedUndoSave;

- (SiDiscardableUndo *)registerBlock:(dispatch_block_t)block;

@end
