//
//  SiZip.h
//  Si
//
//  Created by Lloyd Bottomley on 1/07/2014.
//  Copyright (c) 2014 Savage Interactive. All rights reserved.
//

@import Foundation;
@import CoreGraphics;


typedef enum {
	SiZipCompressionLevelDefault = -1,
	SiZipCompressionLevelSpeed = 1,
	SiZipCompressionLevelBest = 9,
	SiZipCompressionLevelNone = 0,
} SiZipCompressionLevel;


@interface SiZip : NSObject

- (instancetype)initWithPath:(NSString *)aPath append:(BOOL)append;

- (void)zipFileAtPath:(NSString *)aPath level:(SiZipCompressionLevel)level completionBlock:(void (^)(BOOL failed))completionBlock;
- (void)zipContentsOfPath:(NSString *)aPath level:(SiZipCompressionLevel)level completionBlock:(void (^)(BOOL failed))completionBlock;
- (void)zipContentsOfPath:(NSString *)aPath level:(SiZipCompressionLevel)level withEnumeratorBlock:(BOOL (^)(NSString *path, CGFloat progress))enumeratorBlock completionBlock:(void (^)(BOOL failed))completionBlock;

- (void)wait;
- (void)close;
- (void)cancel;

@end
