//
//  Si+Debug.h
//  Procreate
//
//  Created by Lloyd Bottomley on 26/06/2014.
//  Copyright (c) 2014 Savage Interactive Pty Ltd. All rights reserved.
//


#define ZAssert(condition, ...) do { if (!(condition)) { [[NSAssertionHandler currentHandler] handleFailureInFunction:[NSString stringWithCString:__PRETTY_FUNCTION__ encoding:NSUTF8StringEncoding] file:[NSString stringWithCString:__FILE__ encoding:NSUTF8StringEncoding] lineNumber:__LINE__ description:__VA_ARGS__]; }} while(0)


#if DEBUG
#define DAssert(...) ZAssert(__VA_ARGS__)
#define DLog(...) ALog(__VA_ARGS__)
#else
#define DAssert(...) do { } while (0)
#define DLog(...) do { } while (0)
#endif
#define ALog(...) NSLog(__VA_ARGS__)
#define TFPass(...) ALog(__VA_ARGS__)
#define TStart(description) do { } while (0)
#define TStop(description) do { } while (0)
