//
//  SiOperationQueue.h
//  Procreate
//
//  Created by Lloyd Bottomley on 10/06/2014.
//  Copyright (c) 2014 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SiProgressManager.h"

@class SiOperation;


@interface SiOperationQueue : NSObject

@property (nonatomic, strong, readonly) SiProgressManager *progressManager;
@property (nonatomic, strong, readonly) dispatch_group_t group;
@property (nonatomic, readonly) BOOL cancelled;
@property (nonatomic, strong, readonly) NSArray *output;
@property (nonatomic, strong, readonly) NSString *temporaryPath;

@property (nonatomic) dispatch_queue_priority_t priority;
@property (nonatomic, strong) void (^progressBlock)(CGFloat);
@property (nonatomic, strong) dispatch_block_t completionBlock;
@property (nonatomic) Class operationClass;


+ (instancetype)sharedInstance;

- (void)addOperation:(SiOperation *)operation;

- (void)waitUntilOperationsAreComplete;

- (void)cancelOperations;
- (void)cancelOperationsAndWait:(BOOL)wait;

- (NSArray *)startWithItems:(NSArray *)items;

@end
