//
//  SiPSDDataSourcePrivate.h
//
//  Created by Lloyd Bottomley on 13/04/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//


#import "SiPSD.h"

@protocol SiPSDDataSourcePrivate

- (CGSize)documentSize;
- (CGFloat)documentDPI;
- (NSData *)documentComposite;
- (NSUInteger)numberOfLayers;

- (NSData *)layerDataAtIndex:(NSUInteger)layerIndex;
- (NSString *)layerNameAtIndex:(NSUInteger)layerIndex;
- (CGRect)layerRectAtIndex:(NSUInteger)layerIndex;
- (CGFloat)layerOpacityAtIndex:(NSUInteger)layerIndex;
- (BOOL)layerVisibleAtIndex:(NSUInteger)layerIndex;
- (BOOL)layerPreservedAtIndex:(NSUInteger)layerIndex;
- (kSiPSDBlend)layerBlendAtIndex:(NSUInteger)layerIndex;

@end
