//
//  SiVectorButton.h
//  Button
//
//  Created by Lloyd Bottomley on 16/07/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SiButtonStateColors.h"

@import Ribber.RibPropertiesConfiguration;


@interface SiVectorButton
: SiButtonStateColors
< RibPropertiesConfiguration
>

@property (strong, nonatomic) CAShapeLayer *iconVector;
@property (strong, nonatomic) CAShapeLayer *discVector;
@property (strong, nonatomic) CAShapeLayer *ringVector;
@property (nonatomic) BOOL ringVisible;
@property (nonatomic) BOOL discVisible;
@property (nonatomic) CGFloat ringThickness;

- (id)initWithVector:(CAShapeLayer *)aVector;

- (void)setEnabled:(BOOL)enabled animated:(BOOL)animated;
- (void)setSelected:(BOOL)enabled animated:(BOOL)animated;
- (void)setHighlighted:(BOOL)enabled animated:(BOOL)animated;

- (void)setIconColor:(UIColor *)color forState:(UIControlState)state;
- (void)setRingColor:(UIColor *)color forState:(UIControlState)state;
- (void)setDiscColor:(UIColor *)color forState:(UIControlState)state;

- (void)setIconTransform:(CATransform3D)transform forState:(UIControlState)state;
- (void)setRingTransform:(CATransform3D)transform forState:(UIControlState)state;
- (void)setDiscTransform:(CATransform3D)transform forState:(UIControlState)state;

- (CATransform3D)iconTransformForState:(UIControlState)state;
- (CATransform3D)ringTransformForState:(UIControlState)state;
- (CATransform3D)discTransformForState:(UIControlState)state;

@end
