//
//  SiVectorTransitionView.h
//  Button
//
//  Created by Lloyd Bottomley on 17/07/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

@interface SiVectorTransitionView : UIView

@property (strong, nonatomic) CAShapeLayer *vector;
@property (nonatomic) UIControlState state;
@property (nonatomic) CGPoint vectorOffset;
@property (nonatomic, assign) CFTimeInterval slowTransitionSpeed;
@property (nonatomic, assign) CFTimeInterval fastTransitionSpeed;
@property (nonatomic, assign) BOOL easeTransitions;


- (id)initWithFrame:(CGRect)rect vector:(CAShapeLayer *)aVector;

- (UIColor *)colorForState:(UIControlState)state;
- (void)setColor:(UIColor *)color forState:(UIControlState)state;

- (UIColor *)strokeForState:(UIControlState)state;
- (void)setStroke:(UIColor *)color forState:(UIControlState)state;

- (CATransform3D)transformForState:(UIControlState)state;
- (void)setTransform:(CATransform3D)transform forState:(UIControlState)state;

- (CFTimeInterval)durationForState:(UIControlState)state;

@end
