//
//  SiDialogController+Private.h
//  Procreate
//
//  Created by Lloyd Bottomley on 17/06/2014.
//  Copyright (c) 2014 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SiDialogController.h"


extern const CGFloat SiDialogControllerRepositionDuration;

@interface SiDialogController ()

- (SiEdge)positioningEdges;

- (CGRect)anchoredRectWithSize:(CGSize)size anchorPoint:(CGPoint *)anchorPoint containerRect:(CGRect)containerRect selectedEdge:(SiEdge)selectedEdge direction:(SiDirection)direction;
- (CGRect)bestSegmentFromRect:(CGRect)rect dividerRect:(CGRect)dividerRect direction:(SiDirection)direction selectedEdge:(SiEdge *)selectedEdge;
- (void)repositionAnimated:(BOOL)animated direction:(SiDirection)direction completion:(void (^)(BOOL finished))completion;
- (CGSize)orientedSize:(CGSize)size toDirection:(SiDirection)direction;
- (SiEdge)rotateEdges:(SiEdge)edges toDirection:(SiDirection)direction reverse:(BOOL)reverse;

- (void)addToManager;
- (dispatch_block_t)removeFromManager;

- (CGPoint)anchorPoint;

- (void)dialogPresentationAnimationPrepare;
- (void)dialogPresentationAnimationCommit;
- (void)dialogPresentationAnimationCommitSegment:(CGFloat)segment segmentCount:(CGFloat)segmentCount;
- (void)dialogPresentationAnimationComplete;

- (void)dialogDismissalAnimationPrepare;
- (void)dialogDismissalAnimationCommit;
- (void)dialogDismissalAnimationCommitSegment:(CGFloat)segment segmentCount:(CGFloat)segmentCount;
- (void)dialogDismissalAnimationComplete;

@end
