//
//  SiNavigationBar.h
//  Si
//
//  Created by Rowan James on 3/11/2014.
//  Copyright (c) 2014 Savage Interactive. All rights reserved.
//

@import UIKit;
@class SiNavigationBar;
@class SiBlurView;

@protocol SiNavigationBarDelegate <NSObject>

- (BOOL)navigationBar:(SiNavigationBar *)navigationBar shouldPushItem:(UINavigationItem *)item animated:(BOOL)animated;
- (void)navigationBar:(SiNavigationBar *)navigationBar didPushItem:(UINavigationItem *)item animated:(BOOL)animated;

- (BOOL)navigationBar:(SiNavigationBar *)navigationBar shouldPopItem:(UINavigationItem *)item animated:(BOOL)animated;
- (void)navigationBar:(SiNavigationBar *)navigationBar didPopItem:(UINavigationItem *)item animated:(BOOL)animated;


@end

@interface SiNavigationBar : UIView

@property (nonatomic, weak) NSObject<SiNavigationBarDelegate> *delegate;

@property (readonly) UINavigationItem *currentItem;
@property (nonatomic, weak, readonly) SiBlurView *blurView;

@property (nonatomic) BOOL dividerHidden;


- (void)pushNavigationItem:(UINavigationItem *)item animated:(BOOL)animated;
- (void)popNavigationItemAnimated:(BOOL)animated;

@end
