//
//  SiOrientedViewController.h
//  Procreate
//
//  Created by Lloyd Bottomley on 11/09/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

#import "../../Si+Essentials.h"

@interface SiOrientedViewController
: UIViewController

@property (nonatomic, readonly) CGAffineTransform currentTransform;
@property (nonatomic, readonly) CGAffineTransform animatingTransform;

- (void)animateOrientationChangeStart; // Must be overriden to eventually call animateOrientationChangeReady then animateOrientationChangeCompleted
- (void)animateOrientationChangeReady; // Updates currentTransform
- (void)animateOrientationChangeCompleted;

+ (SiDirection)directionFromTransform:(CGAffineTransform)transform;
+ (CGAffineTransform)transformForDirection:(SiDirection)direction;

- (CGPoint)rotateTranslation:(CGPoint)point;
- (CGPoint)unrotateTranslation:(CGPoint)point;

@end
