//
//  SiSubContainingController.h
//  Procreate
//
//  Created by Lloyd Bottomley on 7/06/2014.
//  Copyright (c) 2014 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

#import "../../Si+Essentials.h"

#import "SiSubControllerEventProtocol.h"

@protocol SiContainingControllerProtocol <NSObject>

- (void)repositionSize:(CGSize *)size edge:(SiEdge *)edge anchor:(CGPoint *)anchor;
- (void)repositionAnimated:(BOOL)animated;

@end


@interface SiSubContainingController : UIViewController <SiContainingControllerProtocol>

- (BOOL)currentControllerIsAtTopLevel;
- (UIViewController *)currentController;

- (void)containingControllerMayTransition:(BOOL)isReturning;
- (void)containingControllerAbortedTransition:(BOOL)isReturning;
- (void)containingControllerCompletedTransition:(BOOL)isReturning;

@end
