//
//  SiSubControllerEventProtocol.h
//  Procreate
//
//  Created by Lloyd Bottomley on 12/06/2014.
//  Copyright (c) 2014 Savage Interactive Pty Ltd. All rights reserved.
//


/* NOTE: You shouldn't expect that if a 'may' event is called, that its
   counterpart will also be called. */

@protocol SiSubControllerEventProtocol <NSObject>

@optional

// Will be called immediately on peek or slide began
- (void)subControllerMayLeaveEvent:(BOOL)isReturning;
- (void)subControllerMayTransitionEvent:(BOOL)isReturning;

// Will be called at the end of a peek that was cancelled
- (void)subControllerAbortedLeaveEvent:(BOOL)isReturning;
- (void)subControllerAbortedTransitionEvent:(BOOL)isReturning;

// Will be called if a peek was completed, or slide finished
- (void)subControllerCompletedLeaveEvent:(BOOL)isReturning;
- (void)subControllerCompletedTransitionEvent:(BOOL)isReturning;

@end
