//
//  SiGroupedControl.h
//  Procreate
//
//  Created by Rowan James on 28/03/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

typedef enum
{
	SiGroupedControlUnknown = 0,
	SiGroupedControlSingle = 1,
	SiGroupedControlTop = 2,
	SiGroupedControlMiddle = 3,
	SiGroupedControlBottom = 4,
} SiGroupedControlPosition;

// a grouped control
@protocol SiGroupedControl

@property (nonatomic) SiGroupedControlPosition groupPosition;

// implement this method if you wish to be notified when your group
// has been redetected
@optional
- (void)groupPositionDetected;


- (void)detectGroupPosition;
- (void)redetectSiblingGroups;

@end

// default implementation for neighbour detection methods
@interface UIView (SiGroupedControl_)

- (void)detectGroupPosition;
- (void)redetectSiblingGroups;

@end
