//
//  SiNotificationViewController.h
//  Procreate
//
//  Created by Lloyd Bottomley on 3/03/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

#import "../../Containers/SiOrientedViewController.h"

@class SiProgressView;

@interface SiNotificationViewController : SiOrientedViewController

@property (nonatomic, strong) IBOutlet UIImageView *backgroundImage;
@property (nonatomic, strong) IBOutlet UILabel *titleLabel;
@property (nonatomic, strong) IBOutlet UILabel *messageLabel;
@property (nonatomic, strong) IBOutlet SiProgressView *progressView;


+ (SiNotificationViewController *)sharedInstance;

- (void)displayWithLocalizedTitle:(NSString *)aTitle localizedMessage:(NSString *)aMessage position:(CGPoint)position;
- (void)displayWithLocalizedTitle:(NSString *)aTitle localizedMessage:(NSString *)aMessage;

- (void)displayWithProgress:(CGFloat)progress;
- (void)displayWithProgress:(CGFloat)progress duration:(CGFloat)duration animated:(BOOL)animated;

- (void)updateProgress:(CGFloat)progress;
- (void)updateProgress:(CGFloat)progress duration:(CGFloat)duration animated:(BOOL)animated;

- (void)hide;
- (void)poon;

@end
