//
//  SiPageControl.h
//  Procreate
//
//  Created by Lloyd Bottomley on 28/02/12.
//  Copyright (c) 2012 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

@class SiPageControl;


@protocol SiPageControlDataSource <NSObject>

- (NSUInteger)pageControlNumberOfPages:(SiPageControl *)aControl;

@end


@protocol SiPageControlDelegate <NSObject>

- (void)pageControl:(SiPageControl *)aControl didSelectPage:(NSUInteger)anIndex;

@end


@interface SiPageControl : UIView

@property (weak, nonatomic) IBOutlet id <SiPageControlDelegate> delegate;
@property (weak, nonatomic) IBOutlet id <SiPageControlDataSource> dataSource;

@property (nonatomic, assign) CGFloat pageWidgetSize;
@property (nonatomic, assign) NSUInteger selectedIndex;
@property (nonatomic) BOOL canTap;


- (void)reloadData;

@end
