//
//  SiTableView+Actions.h
//  Procreate
//
//  Created by Lloyd Bottomley on 7/12/11.
//  Copyright (c) 2011 Savage Interactive. All rights reserved.
//

#import "SiTableView.h"


typedef enum
{
	SiTableViewAnimationRowsDown,
} SiTableViewAnimation;


@interface SiTableView (Actions)

- (void)animateCellsWithAnimation:(SiTableViewAnimation)animation;

- (void)beginUpdates;
- (void)commitUpdates;
- (void)commitUpdatesWithDuration:(CGFloat)duration;
- (void)commitUpdatesWithDuration:(CGFloat)duration completionBlock:(void (^)(BOOL finished))completionBlock;

- (void)insertCellAtIndex:(NSUInteger)anIndex;
- (void)deleteCellAtIndex:(NSUInteger)anIndex;
- (void)updateCellAtIndex:(NSUInteger)anIndex;
- (void)resizeCellAtIndex:(NSUInteger)anIndex;
- (void)moveCellAtIndex:(NSUInteger)anIndex toIndex:(NSUInteger)toIndex;
- (void)updateAllCells;
- (void)resizeAllCells;

- (void)selectCellAtIndex:(NSUInteger)anIndex;
- (void)deselectCellAtIndex:(NSUInteger)anIndex;
- (void)deselectAllCells;

- (void)beginEditingCellAtIndex:(NSUInteger)anIndex;
- (void)stopEditingCellAtIndex:(NSUInteger)anIndex;
- (void)stopEditingAllCells;

- (void)expandCellAtIndex:(NSUInteger)anIndex;
- (void)shrinkCellAtIndex:(NSUInteger)anIndex;
- (void)shrinkAllCells;

@end
