//
//  SiTableView.h
//  Sorted
//
//  Created by Lloyd Bottomley on 27/07/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

#import "../../Passthrough/SiScrollView.h"
#import "SiTableViewCell.h"

#import "SiTableViewDelegate.h"
#import "SiTableViewDataSource.h"

#import "UIViewController+SiTableViewCellXIB.h"


#define SiTableViewNotFound NSNotFound


@interface SiTableView : SiScrollView <SiTableViewDelegate, SiTableViewDataSource, UIScrollViewDelegate>

@property (weak, nonatomic) IBOutlet id <SiTableViewDelegate> delegate;
@property (weak, nonatomic) IBOutlet id <SiTableViewDataSource> dataSource;

@property (strong, nonatomic) UIColor *dividerColor;
@property (nonatomic) CGFloat dividerWidth;
@property (nonatomic) CGFloat dividerHeight;
@property (nonatomic) BOOL showsLeftDivider;
@property (nonatomic) BOOL showsRightDivider;
@property (nonatomic) BOOL showsTopDivider;
@property (nonatomic) BOOL showsBottomDivider;

@property (strong, nonatomic) UIView *headerView;
@property (strong, nonatomic) UIView *hoverBar;
@property (nonatomic) CGPoint hoverSeparation;
@property (weak, nonatomic) UIView *draggingRootView;

@property (nonatomic) CGFloat topOverhang;
@property (nonatomic) CGFloat bottomOverhang;
@property (nonatomic) CGFloat hoverScrollingInset;
@property (nonatomic) UIEdgeInsets paddingInsets;

@property (nonatomic, readonly) CGSize dimensions;


- (void)reloadData;
- (void)reloadDataAnimateOutFromIndex:(NSUInteger)anIndex;
- (void)reloadDataAnimateInToIndex:(NSUInteger)anIndex;

- (NSArray *)allVisibleCells;
- (BOOL)isUpdating;
- (BOOL)isCellVisibleAtIndex:(NSUInteger)anIndex;

- (NSUInteger)selectedCellsCount;
- (NSUInteger)editingCellsCount;
- (NSUInteger)expandedCellsCount;

- (BOOL)isCellSelectedAtIndex:(NSUInteger)anIndex;
- (BOOL)isCellEditingAtIndex:(NSUInteger)anIndex;
- (BOOL)isCellExpandedAtIndex:(NSUInteger)anIndex;

@end


#import "SiTableView+Actions.h"
#import "SiTableView+Dragging.h"
#import "SiTableView+Entities.h"
#import "SiTableView+Scrolling.h"
