//
//  SiTableViewCell.h
//  Sorted
//
//  Created by Lloyd Bottomley on 27/07/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//


@import UIKit;

typedef enum
{
	SiTableViewCellStateNormal,
	SiTableViewCellStateSelected,
	SiTableViewCellStateEditing,
	SiTableViewCellStateTorn,
	SiTableViewCellStateExpanded,
} SiTableViewCellState;


@class SiTableView, SiTableViewEntity;

@interface SiTableViewCell : UIView

@property (strong, nonatomic) NSString *reuseIdentifier;
@property (weak, nonatomic, readonly) SiTableView *tableView;
@property (nonatomic, readonly) SiTableViewCellState state;

@property (nonatomic, readonly) BOOL topAligned;
@property (nonatomic, readonly) BOOL bottomAligned;
@property (nonatomic, readonly) BOOL leftAligned;
@property (nonatomic, readonly) BOOL rightAligned;

@property (nonatomic, readonly) BOOL touching;
@property (nonatomic, readonly) BOOL animatingTouch;

- (void)configureCell;
- (void)prepareForDequeue;
- (void)cellDidBecomeQueued;
- (void)cellDidChangeLayout;
- (void)prepareForInsertion;

- (void)transitionFromState:(SiTableViewCellState)previousState toState:(SiTableViewCellState)aState;
- (void)tableViewWillCommitTransitions:(SiTableView *)aTableView;
- (void)commitedTransitionToState:(SiTableViewCellState)aState;
- (void)tableViewDidFinishAnimatingTransitions:(SiTableView *)aTableView;

- (void)animateTouchDown;
- (void)animateTouchUp;
- (CGFloat)animateTouchDownDuration;
- (CGFloat)animateTouchUpDuration;
- (UIView *)animateTouchView;

@end
