//
//  SiTableViewDataSource.h
//  Sorted
//
//  Created by Lloyd Bottomley on 27/07/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SiTableViewCell.h"

@protocol SiTableViewDataSource <NSObject>

- (SiTableViewCell *)tableView:(SiTableView *)aTableView freshCellWithIdentifier:(NSString *)identifier;
- (SiTableViewCell *)tableView:(SiTableView *)aTableView cellForRowAtIndex:(NSUInteger)anIndex;

- (NSUInteger)tableViewNumberOfRows:(SiTableView *)aTableView;

@optional

- (SiTableViewCell *)tableView:(SiTableView *)aTableView placeholderForRowAtIndex:(NSUInteger)anIndex;

- (UIEdgeInsets)tableViewContentInsets:(SiTableView *)aTableView;
- (BOOL)tableViewWrapsHorizontally:(SiTableView *)aTableView;
- (BOOL)tableViewInsertsHorizontally:(SiTableView *)aTableView;

- (CGFloat)tableView:(SiTableView *)aTableView widthForCellAtIndex:(NSUInteger)anIndex;
- (CGFloat)tableView:(SiTableView *)aTableView heightForCellAtIndex:(NSUInteger)anIndex;
- (CGFloat)tableView:(SiTableView *)aTableView opacityForCellAtIndex:(NSUInteger)anIndex;
- (BOOL)tableView:(SiTableView *)aTableView shouldCellDisplayAtIndex:(NSUInteger)anIndex;
- (BOOL)tableView:(SiTableView *)aTableView shouldBringCellToTopAtIndex:(NSUInteger)anIndex;
- (SiTableViewCellState)tableView:(SiTableView *)aTableView stateForCellAtIndex:(NSUInteger)anIndex;

- (CGSize)tableView:(SiTableView *)aTableView paddingAtIndex:(NSUInteger)anIndex;

@end
