//
//  SiTableViewDelegate.h
//  Sorted
//
//  Created by Lloyd Bottomley on 27/07/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//

@class SiTableView;


@protocol SiTableViewDelegate <NSObject, UIScrollViewDelegate>

@optional

- (void)tableView:(SiTableView *)aTableView configureCell:(SiTableViewCell *)cell index:(NSUInteger)anIndex;
- (void)tableView:(SiTableView *)aTableView configurePlaceholder:(SiTableViewCell *)cell index:(NSUInteger)anIndex;

- (BOOL)tableView:(SiTableView *)aTableView shouldShowHoverAtIndex:(NSUInteger)anIndex;
- (BOOL)tableView:(SiTableView *)aTableView shouldPageFromHoverAtPoint:(CGPoint)point;

- (void)tableViewDidScroll:(SiTableView *)aTableView;
- (void)tableView:(SiTableView *)aTableView tableDimensionsChanged:(CGSize)size;

- (void)tableView:(SiTableView *)aTableView touchBeganInCell:(SiTableViewCell *)aCell point:(CGPoint)point;
- (void)tableView:(SiTableView *)aTableView touchCancelledInCell:(SiTableViewCell *)aCell point:(CGPoint)point;

- (void)tableViewWillCommitUpdates:(SiTableView *)aTableView;
- (void)tableViewDidFinishCommitingUpdates:(SiTableView *)aTableView;

- (BOOL)tableViewShouldCollapseDraggingCells:(SiTableView *)aTableView;

@end
