//
//  SiTabBarView.h
//  Procreate
//
//  Created by Lloyd Bottomley on 18/05/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//


@import UIKit;

@class SiTabBarView;

@protocol SiTabBarViewDelegate

@optional
- (void)tabBarView:(SiTabBarView *)aView didSelectTab:(NSUInteger)selectedIndex;
- (BOOL)tabBarView:(SiTabBarView *)aView tabEnabledAtIndex:(NSUInteger)anIndex;

@end


@interface SiTabBarView : UIView <SiTabBarViewDelegate>

@property (nonatomic, weak) IBOutlet NSObject <SiTabBarViewDelegate> *delegate;
@property (nonatomic, strong) IBOutlet UIView *containerView;
@property (nonatomic, strong) IBOutlet UIView *disabledView;

@property (nonatomic) BOOL disabled;
@property (nonatomic) NSUInteger selectedIndex;
@property (nonatomic) CGFloat textOffset;
@property (nonatomic) CGFloat imageOffset;
@property (nonatomic) CGSize buttonSize;

@property (strong, nonatomic) UIFont *font;
@property (strong, nonatomic) UIColor *textColor;
@property (strong, nonatomic) UIColor *highlightedTextColor;
@property (nonatomic) CGSize shadowOffset;
@property (strong, nonatomic) UIColor *shadowColor;
@property (weak, nonatomic) UIImage *backgroundImage;

@property (nonatomic, assign) BOOL discVisible;


- (void)addSectionView:(UIView *)aView title:(NSString *)aTitle vectorNamed:(NSString *)vectorNamed;
- (void)addSectionView:(UIView *)aView title:(NSString *)aTitle normalImageNamed:(NSString *)normalName selectedImageNamed:(NSString *)selectedName;

- (void)removeAllSections;

@end
