//
//  UIDevice+Machine.h
//  Procreate
//
//  Created by Lloyd Bottomley on 30/03/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;


typedef enum
{
	UIDeviceMachineSeriesiPad1,
	UIDeviceMachineSeriesiPad2,
	UIDeviceMachineSeriesiPad3,
	UIDeviceMachineSeriesiPad4,
	
	UIDeviceMachineSeriesiPadAir,
	UIDeviceMachineSeriesiPadAir2,
	
	UIDeviceMachineSeriesiPadMini,
	UIDeviceMachineSeriesiPadMini2,
	UIDeviceMachineSeriesiPadMini3,
	
	UIDeviceMachineSeriesiPadUnknown,
	
	
	UIDeviceMachineSeriesiPhone4S,
	UIDeviceMachineSeriesiPhone5,
	UIDeviceMachineSeriesiPhone5S,
	UIDeviceMachineSeriesiPhone6,
	UIDeviceMachineSeriesiPhone6Plus,
	UIDeviceMachineSeriesiPhoneUnknown,
	
	
	UIDeviceMachineSeriesiPod5,
	UIDeviceMachineSeriesiPodUnknown,
} UIDeviceMachineSeries;


static inline BOOL UIDeviceMachineSeriesIsiPadMini(UIDeviceMachineSeries series) {
	return series == UIDeviceMachineSeriesiPadMini || series == UIDeviceMachineSeriesiPadMini2 || series == UIDeviceMachineSeriesiPadMini3;
}

static inline BOOL UIDeviceMachineSeriesIsiPhone(UIDeviceMachineSeries series) {
	return series >= UIDeviceMachineSeriesiPhone4S && series <= UIDeviceMachineSeriesiPhoneUnknown;
}

static inline BOOL UIDeviceMachineSeriesIsiPod(UIDeviceMachineSeries series) {
	return series >= UIDeviceMachineSeriesiPod5 && series <= UIDeviceMachineSeriesiPodUnknown;
}

static inline BOOL UIDeviceMachineSeriesIsiPad(UIDeviceMachineSeries series) {
	return series >= UIDeviceMachineSeriesiPad1 && series <= UIDeviceMachineSeriesiPadUnknown;
}


@interface UIDevice (Machine)

@property (strong, nonatomic, readonly) NSString *machine;
@property (nonatomic, readonly) UIDeviceMachineSeries machineSeries;

- (CGFloat)machineScale;
- (BOOL)machineHasMinimalBezel;

@end
