//
//  UIScrollView+Scrolling.h
//  Procreate
//
//  Created by Rowan James on 12/11/2013.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

typedef enum {
	UIScrollViewScrollDirectionNone = 0,
	UIScrollViewScrollDirectionUp,
	UIScrollViewScrollDirectionDown
	} UIScrollViewScrollDirection;

@interface UIScrollView (Scrolling)

// -- these properties should be private, but... category.
@property (nonatomic, assign) CGFloat scrollAcceleration;
@property (nonatomic, assign) CGFloat scrollSpeed;
@property (nonatomic, assign) UIScrollViewScrollDirection scrollDirection;
@property (nonatomic, strong) CADisplayLink *scrollTimer;

- (void)startScrollDirection:(UIScrollViewScrollDirection)direction;
- (void)stopScroll;

@end
