//
//  UIView+Size.h
//  Procreate
//
//  Created by Rowan James on 28/03/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import UIKit;

// Flatten the intrinsic property of a UIView's size into the UIView class interface

@interface UIView (Size)

// size/width/height are in parent coordinates
@property (nonatomic) CGSize size;
@property (nonatomic) CGFloat width;
@property (nonatomic) CGFloat height;


// internal size/width/height are from bounds (own coordinates, i.e.  frame x transform)
@property (nonatomic, readonly) CGSize internalSize;
@property (nonatomic, readonly) CGFloat internalWidth;
@property (nonatomic, readonly) CGFloat internalHeight;

@end
