//
//  SilicaBrush+Private.h
//  Procreate
//
//  Created by Lloyd Bottomley on 29/10/12.
//  Copyright (c) 2012 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaBrush.h"


@class SilicaTexture;

@interface SilicaBrush (Private) <NSCopying, NSCoding>

@property (nonatomic, strong, readonly) NSString *path;

@property (weak, nonatomic, readonly) SilicaTexture *shapeTexture;
@property (weak, nonatomic, readonly) SilicaTexture *grainTexture;

@property (nonatomic, strong, readonly) NSString *grainPath;
@property (nonatomic, strong, readonly) NSString *shapePath;
@property (nonatomic, strong, readonly) NSString *thumbPath;

@property (nonatomic, readonly) CGFloat shapeRadians;
@property (nonatomic, readonly) CGFloat grainRadians;
@property (nonatomic) CGPoint grainOffset;


+ (void)purgeCachedTextures;

- (id)initWithPath:(NSString *)aPath;
- (void)reset;

@end
