//
//  SilicaBuffer.h
//  Procreate
//
//  Created by Lloyd Bottomley on 25/12/10.
//  Copyright 2010 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaBuffer+Types.h"
#import "SilicaDocument+Types.h"
#import "SilicaGL+Types.h"


@class SilicaTexture;


@interface SilicaBuffer : NSObject <NSCopying>

@property (nonatomic, strong, readonly) SilicaTexture *texture;
@property (nonatomic, readonly) CGSize size;
@property (nonatomic, readonly) CGSize internalSize;
@property (nonatomic, readonly) BOOL grayscale;
@property (nonatomic, readonly) SilicaFormat format;


- (id)initPixelBufferOfSize:(CGSize)aSize pool:(CVPixelBufferPoolRef)pool;
- (id)initTextureBufferOfSize:(CGSize)aSize grayscale:(BOOL)grayscale format:(SilicaFormat)aFormat;

- (BOOL)build;
- (void)destroy;

- (SilicaBuffer *)select;
- (void)finish;
- (SilicaBuffer *)discard;
- (void)flush;

- (SilicaBuffer *)clear:(GLColor128)color;

- (GLColor32)colorAtPoint:(CGPoint)point;
- (NSData *)data;
- (NSData *)dataForRect:(CGRect)rect;
- (CGRect)contentsRect;

- (void)updateData:(NSData *)data forRect:(CGRect)rect;

- (void)updateWithImage:(CGImageRef)anImage orientation:(SilicaDocumentOrientation)orientation flippedHorizontally:(BOOL)flippedHorizontally flippedVertically:(BOOL)flippedVertically;
- (CGImageRef)imageOfSize:(CGSize)aSize CF_RETURNS_RETAINED;

@end
