//
//  SilicaDocument+Private.h
//  Procreate
//
//  Created by Lloyd Bottomley on 19/06/12.
//  Copyright (c) 2012 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaDocument.h"
#import "SilicaLayerDelegate.h"

@class SilicaState;

extern NSString *const SilicaDocumentModifiedTilesKey;

extern NSString *const SilicaDocumentDidChangeCompositeNotification;


@interface SilicaDocument (Private) <SilicaLayerDelegate, NSCoding, NSCopying>

@property (nonatomic, strong) SilicaState *state;
@property (nonatomic, strong, readonly) NSString *path;
@property (nonatomic, strong, readonly) NSString *undoDirectory;
@property (nonatomic, readonly) BOOL loaded;
@property (nonatomic, readonly) NSInteger version;

@property (nonatomic, readonly) NSUInteger tileSize;
@property (nonatomic, readonly) NSUInteger maxTilesWide;
@property (nonatomic, readonly) NSUInteger maxTilesHigh;


- (void)updatedCompositeTiles:(SilicaPackage *)tiles;
- (void)updatedDocumentRequiresSave;

- (void)waitUntilFinishedOperations;

- (void)saveThumbnail:(CGImageRef)anImage withCompletionBlock:(void (^)(void))completionBlock;

- (void)deleteChunkAtPath:(NSString *)aPath;

@end
