//
//  SilicaLayer+Private.h
//  Procreate
//
//  Created by Lloyd Bottomley on 19/06/12.
//  Copyright (c) 2012 Savage Interactive Pty Ltd. All rights reserved.
//

@import Foundation;
@import CoreGraphics;
@import QuartzCore;

#import "SilicaLayer.h"
#import "SilicaDocument+Types.h"


@class SilicaDocument, SilicaPackage, SilicaBuffer;


@interface SilicaLayer (Private) <NSCopying, NSCoding>

@property (nonatomic, weak) SilicaDocument *document;
@property (nonatomic) SilicaLayerType type; // MARK: Hack fix for incorrect layer type decoding.

@property (nonatomic, strong, readonly) NSString *path;
@property (nonatomic, strong, readonly) SilicaBuffer *buffer;
@property (nonatomic, readonly) BOOL temporary;
@property (nonatomic, readonly) NSUInteger version;

@property (nonatomic) CATransform3D realtimeTransform;
@property (nonatomic) GLfloat realtimeOpacity;
@property (nonatomic) CGRect contentsRect;


- (id)initWithDocument:(SilicaDocument *)aDocument type:(SilicaLayerType)type;

- (void)reloadWithImage:(CGImageRef)anImage orientation:(SilicaDocumentOrientation)orientation progressCallback:(void (^)(CGFloat amount))progressCallback;
- (void)reloadWithImage:(CGImageRef)anImage orientation:(SilicaDocumentOrientation)orientation progressCallback:(void (^)(CGFloat))progressCallback force:(BOOL)force;
- (void)unload;

- (void)waitForOperationsToComplete;

- (void)renderedTiles:(SilicaPackage *)dirtyTiles;
- (void)commitTiles:(SilicaPackage *)dirtyTiles;

- (void)removeLayerFromDocument;
- (void)restoreLayerToDocument;

- (void)didFinishSavingMigratedDocument;

@end
