//
//  SilicaLayer.h
//  Procreate
//
//  Created by Lloyd Bottomley on 17/01/11.
//  Copyright 2011 Savage Interactive Pty Ltd. All rights reserved.
//

@import Foundation;
@import CoreGraphics;
@import QuartzCore;

#define SilicaLayerLatestVersion 2


#import "SilicaLayer+Types.h"
#import "SilicaDocument+Types.h"
#import "Silica+Types.h"
#import "SilicaFilter.h"

extern NSString *const SilicaLayerChangeTypeKey;

extern NSString *const SilicaLayerDidCommitNotification;
extern NSString *const SilicaLayerDidChangeNotification;
extern NSString *const SilicaLayerDidFinishSavingNotification;

extern NSString *const SilicaLayerDictionaryVersionKey;
extern NSString *const SilicaLayerDictionaryCompositeKey;
extern NSString *const SilicaLayerDictionaryUUIDKey;
extern NSString *const SilicaLayerDictionaryNameKey;
extern NSString *const SilicaLayerDictionaryOpacityKey;
extern NSString *const SilicaLayerDictionaryBlendKey;
extern NSString *const SilicaLayerDictionaryHiddenKey;
extern NSString *const SilicaLayerDictionaryPreserveKey;
extern NSString *const SilicaLayerDictionaryTransformKey;
extern NSString *const SilicaLayerDictionaryBundledImagePathKey;
extern NSString *const SilicaLayerDictionaryBundledMaskPathKey;


@class SilicaDocument;

@interface SilicaLayer : NSObject

@property (nonatomic, strong, readonly) NSString *UUID;

@property (nonatomic, readonly) BOOL needsExpansion;
@property (nonatomic, readonly) SilicaLayerType type;
@property (nonatomic, strong) NSString *name;
@property (nonatomic) GLfloat opacity;
@property (nonatomic) SilicaBlend blend;
@property (nonatomic) BOOL hidden;
@property (nonatomic) BOOL preserve;
@property (nonatomic) CATransform3D transform;
@property (nonatomic, readonly) CATransform3D realtimeTransform;
@property (nonatomic, readonly) GLfloat realtimeOpacity;
@property (nonatomic, strong) SilicaFilter *realtimeFilter;

@property (nonatomic, weak, readonly) SilicaDocument *document;
@property (nonatomic, readonly) CGRect contentsRect;
@property (nonatomic, readonly) BOOL contentsRectValid;
@property (nonatomic, readonly) BOOL loaded;


- (NSData *)data;
- (void)updateWithImage:(CGImageRef)anImage orientation:(SilicaDocumentOrientation)orientation;

- (id)initWithDictionary:(NSDictionary *)dictionary; // MARK: for migration purposes only

@end
