//
//  SilicaPackage.h
//  Procreate
//
//  Created by Lloyd Bottomley on 13/08/12.
//  Copyright (c) 2012 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaGL+Types.h"

@class SilicaDocument, SilicaTile;

@interface SilicaPackage : NSObject

@property (weak, nonatomic, readonly) SilicaDocument *document;
@property (nonatomic, readonly) NSUInteger count;


- (id)initWithDocument:(SilicaDocument *)aDocument;

+ (SilicaPackage *)packageForDocument:(SilicaDocument *)aDocument;
+ (SilicaPackage *)packageForDocument:(SilicaDocument *)aDocument dirty:(BOOL)dirty;


- (void)addTile:(SilicaTile *)tile;
- (void)addAllTiles;
- (void)addTilesFromPackage:(SilicaPackage *)aPackage;
- (void)addTilesForQuad:(GLQuad2D)quad;

- (void)removeTile:(SilicaTile *)tile;
- (void)removeAllTiles;

- (NSSet *)allTiles;

- (void)quadsForDirtyTilesInBuffer:(GLQuad2D *)buffer;

@end
