//
//  SilicaRender+Copy.h
//  Procreate
//
//  Created by Lloyd Bottomley on 4/02/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaRender.h"

@class SilicaTexture;

typedef enum {
	SilicaChannelRed,
	SilicaChannelGreen,
	SilicaChannelBlue,
	SilicaChannelAlpha,
} SilicaChannel;

@interface SilicaRender (Copy)

- (void)copyFromTexture:(SilicaTexture *)fromTexture fromQuad:(GLQuad2D)fromQuad toBuffer:(SilicaBuffer *)toBuffer toQuad:(GLQuad2D)toQuad maskTexture:(SilicaTexture *)maskTexture maskQuad:(GLQuad2D)maskQuad filter:(GLint)filter transform:(GLMatrix4x4)transform flush:(BOOL)flush;
- (void)copyTiles:(SilicaPackage *)tiles fromBuffer:(SilicaBuffer *)fromBuffer toBuffer:(SilicaBuffer *)toBuffer;

- (void)copyChannel:(SilicaChannel)channel fromTexture:(SilicaTexture *)texture quad:(GLQuad2D)quad toBuffer:(SilicaBuffer *)toBuffer; 

- (void)transform:(GLMatrix4x4)transform fromBuffer:(SilicaBuffer *)fromBuffer toBuffer:(SilicaBuffer *)toBuffer maskTexture:(SilicaTexture *)maskTexture copy:(BOOL)copy contentsRect:(CGRect)contentsRect incremental:(BOOL)incremental;
- (SilicaBuffer *)scaledBufferFromBuffer:(SilicaBuffer *)aBuffer maskTexture:(SilicaTexture *)maskTexture rect:(CGRect)rect size:(CGSize)size orientation:(SilicaDocumentOrientation)orientation incremental:(BOOL)incremental;

- (void)opacity:(GLfloat)opacity fromBuffer:(SilicaBuffer *)fromBuffer toBuffer:(SilicaBuffer *)toBuffer maskTexture:(SilicaTexture *)maskTexture;

@end
