//
//  SilicaRender+Fill.h
//  Procreate
//
//  Created by Lloyd Bottomley on 4/02/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaRender.h"
#import "SilicaRender+Private.h"


@interface SilicaRender (Fill)

- (void)clearWithColor:(GLColor128)color128 preserveAlpha:(BOOL)preserveAlpha onBuffer:(SilicaBuffer *)buffer sourceTexture:(SilicaTexture *)sourceTexture maskTexture:(SilicaTexture *)maskTexture;

- (void)thresholdColor:(GLColor128)color threshold:(GLfloat)threshold
			  onBuffer:(SilicaBuffer *)buffer sourceTexture:(SilicaTexture *)sourceTexture maskTexture:(SilicaTexture *)maskTexture;

- (CGRect)findContiguousAreasFromPoint:(CGPoint)startPoint onBuffer:(SilicaBuffer *)buffer;

- (void)floodColor:(GLColor128)originalColor toColor:(GLColor128)color preserveAlpha:(BOOL)preserveAlpha mix:(GLfloat)mix threshold:(GLfloat)threshold deblend:(BOOL)deblend quad:(GLQuad2D)quad onBuffer:(SilicaBuffer *)buffer sourceTexture:(SilicaTexture *)sourceTexture maskTexture:(SilicaTexture *)maskTexture lookupTexture:(SilicaTexture *)lookupTexture shapeTexture:(SilicaTexture *)shapeTexture;

@end
