//
//  SilicaRender+Private.h
//  Procreate
//
//  Created by Lloyd Bottomley on 4/02/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaRender.h"
#import "SilicaBuffer+Private.h"


typedef struct
{
	NSInteger insideMinX;
	NSInteger insideMaxX;

	NSInteger minX;
	NSInteger maxX;
	NSInteger y;
	
	BOOL up;
	BOOL extendLeft;
	BOOL extendRight;
} SilicaRenderFillRange;


typedef struct
{
	SilicaBufferData buffer;

	SilicaRenderFillRange *stack;
	NSUInteger stackPointer;
	NSUInteger stackLength;

	NSInteger contentsMinX;
	NSInteger contentsMaxX;
	NSInteger contentsMinY;
	NSInteger contentsMaxY;
} SilicaRenderFillOperation;


@interface SilicaRender ()

@property (nonatomic, weak, readonly) SilicaState *state;

@property (atomic, strong) SilicaLayer *layer;
@property (atomic, strong) SilicaPackage *uncommittedTiles;

@property (nonatomic) BOOL memoryWarningReceived;


#pragma mark Interface - Draw

@property (nonatomic, strong, readonly) SilicaBuffer *bufferCached;
@property (nonatomic, strong, readonly) SilicaBuffer *bufferSmudge;
@property (nonatomic, strong, readonly) SilicaBuffer *bufferStroke;

@property (nonatomic, strong) SilicaTexture *shapeTexture;
@property (nonatomic, strong) SilicaTexture *grainTexture;
@property (nonatomic, strong, readonly) SilicaTexture *whiteTexture;
@property (nonatomic, strong, readonly) SilicaTexture *clearTexture;

@property (nonatomic, readonly) NSUInteger smudgeMaxSize;
@property (nonatomic, readonly) NSUInteger smudgeMaxCount;
@property (nonatomic, strong) NSSet *smudgePreviousPlots;

@property (nonatomic) BOOL beginStrokeClear;

- (void)setupBackBufferForFormat:(SilicaFormat)format;

@end
