//
//  SilicaShape.h
//  Procreate
//
//  Created by Lloyd Bottomley on 6/03/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//


#import "SilicaShape+Types.h"

@class SilicaShapeStroke;


@interface SilicaShape : NSObject <NSCopying>

@property (nonatomic, readonly) NSUInteger segmentCount;
@property (nonatomic, readonly) CGFloat length;
@property (nonatomic, readonly) CGRect contentsRect;
@property (nonatomic, readonly, strong) SilicaShapeStroke *stroke;

@property (nonatomic) BOOL closed;

@property (nonatomic) CATransform3D transform;
@property (nonatomic) BOOL inViewSpace;


- (NSUInteger)normalizedIndex:(NSInteger)anIndex;
- (SilicaBezier)bezierSegment:(NSInteger)anIndex;
- (GLVertex2D)pointAtTime:(CGFloat)time;

@end
