//
//  SilicaStrokePlot.h
//  Procreate
//
//  Created by Lloyd Bottomley on 22/12/10.
//  Copyright 2010 Savage Interactive Pty Ltd. All rights reserved.
//
/*
 
 Stroke plotter
 
 */

#import "SilicaGL+Types.h"


typedef struct {
	CGFloat *pointX; 
	CGFloat *pointY;
	CGFloat *size; 
	CGFloat *opacity; 
	CGFloat *radians; 
	CGSize *movement;
} SilicaStrokePlotPoints;

typedef struct {
	GLQuad2D particle;
	GLQuadFloat alphas;
	GLQuad2D coordsShape;
	GLQuad2D coordsGrain;
} SilicaStrokeParticle;


@class SilicaStrokeSegment, SilicaStrokeControl;


@interface SilicaStrokePlot : NSObject 

@property (nonatomic, readonly) SilicaStrokePlotPoints points;
@property (nonatomic, readonly) NSUInteger plotCount;
@property (nonatomic, readonly) CGFloat plotDistance;
@property (nonatomic, readonly) CGPoint plotVector;

@property (nonatomic, readonly) CGFloat minimumSize;
@property (nonatomic, readonly) CGFloat minimumTop;
@property (nonatomic, readonly) CGFloat minimumLeft;
@property (nonatomic, readonly) CGFloat maximumBottom;
@property (nonatomic, readonly) CGFloat maximumRight;

@property (nonatomic, readonly, strong) SilicaStrokeSegment *segment;
@property (nonatomic, readonly, weak) SilicaStrokePlot *previousPlot;

@property (nonatomic, readonly) CGFloat plotStrokeLength;


- (id)initWithSinglePoint:(SilicaStrokeControl *)aPoint segment:(SilicaStrokeSegment *)aSegment angle:(CGFloat)angle;
- (id)initWithPoints:(NSArray *)controlPoints previousPlot:(SilicaStrokePlot *)aPlot segment:(SilicaStrokeSegment *)aSegment;

- (SilicaStrokeParticle)particle:(NSUInteger)count;

@end
