//
//  SilicaStrokeSegment.h
//  Procreate
//
//  Created by Lloyd Bottomley on 29/10/12.
//  Copyright (c) 2012 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaBrushOptions.h"

@class SilicaState;

@interface SilicaStrokeSegment : NSObject

@property (strong, nonatomic, readonly) SilicaBrushOptions *options;
@property (nonatomic, readonly) SilicaBrushTool tool;
@property (nonatomic, readonly) GLColor128 color;

@property (nonatomic, readonly) BOOL glazed;

@property (nonatomic, readonly) CGFloat minimumSize;
@property (nonatomic, readonly) CGFloat maximumSize;
@property (nonatomic, readonly) CGFloat maximumSizeScaled;

@property (nonatomic, readonly) CGFloat segmentOpacity;
@property (nonatomic, readonly) CGFloat smudgeWetness;
@property (nonatomic, readonly) CGFloat dynamicsMix;

@property (nonatomic, readonly) BOOL combinable;


- (id)initWithState:(SilicaState *)aState brush:(SilicaBrush *)aBrush options:(SilicaBrushOptions *)anOptions combinable:(BOOL)combinable;

- (CGFloat)spacingForPressure:(CGFloat)pressure size:(CGFloat)size;
- (CGFloat)plotJitterForPressure:(CGFloat)pressure size:(CGFloat)size;
- (CGFloat)opacityJitterForOpacity:(CGFloat)opacity;
- (CGFloat)sizeJitterForSize:(CGFloat)size;
- (CGFloat)sizeForPressure:(CGFloat)pressure speed:(CGFloat)speed;
- (CGFloat)opacityForPressure:(CGFloat)pressure speed:(CGFloat)speed;

- (CGFloat)taperOpacityForStartLength:(CGFloat)length opacity:(CGFloat)opacity;
- (CGFloat)taperSizeForStartLength:(CGFloat)length size:(CGFloat)size;
- (CGFloat)taperOpacityForEndLength:(CGFloat)length opacity:(CGFloat)opacity;
- (CGFloat)taperSizeForEndLength:(CGFloat)length size:(CGFloat)size;

- (CGFloat)shapeRadiansFor:(CGFloat)angle;
- (CGFloat)grainRadiansFor:(CGFloat)angle;
- (CGRect)textureRectFor:(CGSize)movement size:(CGFloat)size;

@end
