//
//  SilicaTexture.h
//  Procreate
//
//  Created by Lloyd Bottomley on 27/12/10.
//  Copyright 2010 Savage Interactive Pty Ltd. All rights reserved.
//


#import "SilicaGL+Types.h"

@interface SilicaTexture : NSObject 

@property (nonatomic, readonly) CGSize size;
@property (nonatomic, readonly) GLuint reference;
@property (nonatomic, readonly) GLuint target;
@property (nonatomic, readonly) GLint levels;


+ (BOOL)supportsHalfFloat;
+ (BOOL)supportsFloat;

+ (SilicaTexture *)textureOfSize:(CGSize)aSize filter:(GLint)aFilter wrap:(GLint)aWrap grayscale:(BOOL)isGrayscale format:(SilicaFormat)aFormat;
+ (SilicaTexture *)textureOfColor:(GLColor32)aColor grayscale:(BOOL)grayscale;
+ (SilicaTexture *)textureWithCGImage:(CGImageRef)image filter:(GLint)aFilter wrap:(GLint)aWrap grayscale:(BOOL)isGrayscale;

- (id)initWithReferenceAndTakeOwnership:(GLuint)aReference target:(GLenum)target size:(CGSize)size grayscale:(BOOL)isGrayscale format:(SilicaFormat)aFormat;
- (id)initWithReferenceNoOwnership:(GLuint)aReference target:(GLenum)target size:(CGSize)size grayscale:(BOOL)isGrayscale format:(SilicaFormat)aFormat;

- (void)updateData:(NSData *)data forRect:(CGRect)rect;

- (CGImageRef)image CF_RETURNS_RETAINED;

@end
