//
//  VideoFrameWriter.h
//  Procreate
//
//  Created by Rowan James on 22/07/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaGL+Types.h"

@class SilicaBuffer;
@class VideoSegmentInfo;

@interface VideoFrameWriter : NSObject

- (id)initWithSegmentInfo:(VideoSegmentInfo *)segmentInfo;

- (BOOL)appendFrame:(SilicaBuffer *)buffer;
- (BOOL)appendFrame:(SilicaBuffer *)buffer sourceRect:(GLQuad2D)fromQuad;

- (void)duplicateLastFrame;

- (void)endThenRun:(void(^)(NSURL *writtenFileOrNil))completionBlock;

+ (void)copyCompositeBuffer:(SilicaBuffer *)composite sourceRect:(GLQuad2D)fromQuad intoBuffer:(SilicaBuffer *)destination;

@property (nonatomic, assign, readonly) CGSize frameSize;
@property (nonatomic, assign, readonly) NSUInteger frames;
@property (nonatomic, assign, readonly) BOOL open;

@property (nonatomic, strong, readonly) VideoSegmentInfo *segmentInfo;

@end
