//
//  VideoManager.h
//  Procreate
//
//  Created by Rowan James on 24/06/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import Foundation;
@import CoreGraphics;

@class SilicaDocument;
@class VideoRecorder;
@class VideoSegmentInfo;

@interface VideoManager : NSObject

- (id)initWithDocument:(SilicaDocument *)document;

@property (nonatomic, weak, readonly) SilicaDocument *document;
@property (nonatomic, strong, readonly) VideoRecorder *recorder;

@property (nonatomic, assign, readonly) BOOL disabled;

@property (nonatomic, readonly) BOOL exportable; // has enough video to export

@property (nonatomic, readonly) NSURL *videoFolder;
@property (nonatomic, readonly) NSURL *segmentsFolder;

@property (nonatomic, readonly) NSArray *segmentFiles;

@property (nonatomic, assign, readonly) unsigned long long cachedSegmentsSize;

- (void)flushAndCalculateVideoSize:(void(^)(unsigned long long totalSize))callback;

- (void)deleteAllSegments;

- (void)mergeToURL:(NSURL *)url progressBlock:(void (^)(CGFloat))progressBlock thenRun:(void(^)(NSURL*))completionBlock;

- (void)recorder:(VideoRecorder *)recorder wrote:(NSUInteger)frames segmentInfo:(VideoSegmentInfo *)segmentInfo toFile:(NSURL *)writtenSegmentURL;

@end
