//
//  VideoRecorder.h
//  Procreate
//
//  Created by Rowan James on 13/05/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

@import Foundation;

@class VideoManager, SilicaBuffer;

@interface VideoRecorder : NSObject

@property (nonatomic, assign, readonly) BOOL started;
@property (nonatomic, assign, readonly) BOOL disabledBecauseDocumentTooSmall;

@property (nonatomic, readonly) BOOL willCommitFrames;

- (VideoRecorder *)initWithManager:(VideoManager *)manager;

// activate recording
- (void)start;

// Add frames.
- (void)addFrameFromBuffer:(SilicaBuffer *)aBuffer;

// flush and deactivate
- (void)stopThenRun:(void(^)())completionBlock;

// end the current segment, if any
- (void)flushThenRun:(void(^)())completionBlock;

@end
