//
//  VideoSegmentInfo.h
//  Procreate
//
//  Created by Rowan James on 16/07/13.
//  Copyright (c) 2013 Savage Interactive Pty Ltd. All rights reserved.
//

#import "SilicaGL+Types.h"
#import "SilicaDocument+Types.h"

extern NSString *const kApplicationDefaultsVideoQualityKey;
extern NSString *const kVideoQualityDisabledKey;


@interface VideoSegmentInfo
: NSObject
< NSCoding >

- (id)initForDocument:(SilicaDocument *)aDocument;

// intrinsic properties
@property (nonatomic, readonly, assign) CGSize frameSize;
@property (nonatomic, readonly, assign) SilicaDocumentOrientation sourceOrientation;
@property (nonatomic, readonly, assign) NSInteger framesPerSecond;
@property (nonatomic, readonly, strong) NSNumber *keyframeInterval;
@property (nonatomic, readonly, strong) NSNumber *bitrate;
@property (nonatomic, readonly, strong) NSString *qualityPreferenceKey;


- (void)updateQuads:(SilicaDocument *)aDocument; // reads flipped-ness from given document

// extrinsic properties
@property (nonatomic, readonly, assign) GLQuad2D fromQuad;
@property (nonatomic, readonly) NSString *localizedQualityPreferenceName;

@end
