
uniform highp vec2 uSizeSource;
uniform highp vec2 uSizeDestination;
uniform highp float uRotation;

attribute highp vec2 aVectorSource;

varying highp vec2 vCoordSource;


void main () {
	highp vec2 rotate = vec2(cos(uRotation), sin(uRotation));
	
	highp vec2 tile = aVectorSource / uSizeSource;
	vCoordSource = vec2(tile.x * rotate.x - tile.y * rotate.y, tile.x * rotate.y + tile.y * rotate.x);
	
	highp vec2 position = ((aVectorSource / (uSizeDestination * 0.5)) - 1.0);
	gl_Position = vec4(position, 0.0, 1.0);
}
