
uniform highp vec2 uSize;
uniform highp vec2 uSizeScaled;
uniform highp vec2 uDirection;

attribute highp vec2 aVector;

varying highp vec2 vCoord;
varying highp vec2 vCoord1;
varying highp vec2 vCoord2;
varying highp vec2 vCoord3;
varying highp vec2 vCoord4;
varying highp vec2 vClamp;


void main()
{
	vCoord = aVector / uSize;
	vClamp = (uSizeScaled - 1.0) / uSize;

	highp vec2 shift1 = uDirection * vec2(1.3846153846) / uSize;
	highp vec2 shift2 = uDirection * vec2(3.2307692308) / uSize;
	vCoord1 = vCoord + shift1;
	vCoord2 = vCoord - shift1;
	vCoord3 = vCoord + shift2;
	vCoord4 = vCoord - shift2;

	gl_Position = vec4(((aVector / (uSize * 0.5)) - 1.0), 0.0, 1.0);
}
