
uniform mediump sampler2D uTextureSource;
uniform mediump sampler2D uTextureCombine;
uniform mediump sampler2D uTextureMask;

varying highp vec2 vCoordSource;
varying highp vec2 vCoordCombine;


void main()
{
	mediump vec4 source = texture2D(uTextureSource, vCoordSource);
	mediump vec4 combine = texture2D(uTextureCombine, vCoordCombine);
	mediump float mask = texture2D(uTextureMask, vCoordSource).r;

#if kLock
	gl_FragColor = source.a == 0.0 ? vec4(0.0) : vec4(mix((source.rgb / source.a), (combine.rgb / combine.a), mask) * source.a, source.a);
#else
	gl_FragColor = mix(source, combine, mask);
#endif
}
