
uniform mediump sampler2D uTextureSource;
uniform mediump sampler2D uTextureMask;
uniform mediump sampler2D uTextureLookup;

varying highp vec2 vCoord;


mediump vec3 unpremultiply(const mediump vec4 color)
{
	return clamp(color.rgb / color.a, 0.0, 1.0);
}

void main()
{
	mediump vec4 source = texture2D(uTextureSource, vCoord);
	mediump float mask = texture2D(uTextureMask, vCoord).r;

	mediump vec3 demultiplied = unpremultiply(source);
	mediump vec3 curve = vec3(texture2D(uTextureLookup, vec2(demultiplied.r, 0.0)).r,
							  texture2D(uTextureLookup, vec2(demultiplied.g, 0.0)).g,
							  texture2D(uTextureLookup, vec2(demultiplied.b, 0.0)).b);

	gl_FragColor = mix(source, vec4(curve * source.a, source.a), mask);
}
