
uniform highp vec2 uSize;
uniform highp float uHue;
uniform highp float uSaturation;

attribute highp vec2 aVector;

varying highp vec2 vCoord;
varying highp mat2 vTransform;


void main()
{
	vCoord = aVector / uSize;
	vTransform = mat2(cos(uHue) * uSaturation, -sin(uHue) * uSaturation,
					  sin(uHue) * uSaturation,  cos(uHue) * uSaturation);

	gl_Position = vec4(((aVector / (uSize * 0.5)) - 1.0), 0.0, 1.0);
}
