
uniform mediump sampler2D uTextureSource;
uniform mediump sampler2D uTextureMask;

uniform mediump float uAlpha;
uniform mediump vec4 uTime;

varying highp vec2 vCoord;


mediump vec3 unpremultiply(const mediump vec4 color)
{
	return color.a == 0.0 ? vec3(0.0) : clamp(color.rgb / color.a, 0.0, 1.0);
}
mediump float rand(highp vec2 co)
{
    return fract(sin(dot(co.xy, vec2(12.9898, 78.233))) * 43758.5453);
}


void main()
{
	mediump vec4 source = texture2D(uTextureSource, vCoord);
	mediump float mask = texture2D(uTextureMask, vCoord).r;

	mediump vec3 noise = uAlpha * (vec3(rand(vCoord + uTime.r), rand(vCoord + uTime.g), rand(vCoord + uTime.b)) - 0.5);
	gl_FragColor = mix(source, vec4(clamp((unpremultiply(source) + noise), 0.0, 1.0), 1.0) * source.a, mask);
}

