
uniform mediump sampler2D uTextureSource;
uniform mediump sampler2D uTextureMask;

varying highp vec2 vCoord;
varying highp vec2 vCoordT;
varying highp vec2 vCoordB;
varying highp vec2 vCoordL;
varying highp vec2 vCoordR;

varying highp float vCenter;
varying highp float vEdge;


mediump vec3 unpremultiply(const mediump vec4 color)
{
	return color.a == 0.0 ? vec3(0.0) : clamp(color.rgb / color.a, 0.0, 1.0);
}

void main()
{
	mediump vec4 source = texture2D(uTextureSource, vCoord);
	mediump vec3 sourceT = unpremultiply(texture2D(uTextureSource, vCoordT));
	mediump vec3 sourceB = unpremultiply(texture2D(uTextureSource, vCoordB));
	mediump vec3 sourceL = unpremultiply(texture2D(uTextureSource, vCoordL));
	mediump vec3 sourceR = unpremultiply(texture2D(uTextureSource, vCoordR));
	mediump float mask = texture2D(uTextureMask, vCoord).r;

	gl_FragColor = mix(source, vec4((unpremultiply(source) * vCenter - ((sourceL + sourceR + sourceT + sourceB) * vEdge)), 1.0) * source.a, mask);
}
