
uniform highp vec2 uSize;
uniform highp float uSharpness;

attribute highp vec2 aVector;

varying highp vec2 vCoord;
varying highp vec2 vCoordT;
varying highp vec2 vCoordB;
varying highp vec2 vCoordL;
varying highp vec2 vCoordR;

varying highp float vCenter;
varying highp float vEdge;


void main()
{
	vCoord = aVector / uSize;
	
	highp vec2 pixel = 1.0 / uSize;
	vCoordT = vCoord - vec2(0.0, pixel.y);
	vCoordB = vCoord + vec2(0.0, pixel.y);
	vCoordL = vCoord - vec2(pixel.x, 0.0);
	vCoordR = vCoord + vec2(pixel.x, 0.0);

	vCenter = 1.0 + (4.0 * uSharpness);
	vEdge = uSharpness;

	gl_Position = vec4(((aVector / (uSize * 0.5)) - 1.0), 0.0, 1.0);
}
