
uniform highp vec2 uSizeSource;
uniform highp vec2 uSizeDestination;

#if kMask
uniform highp vec2 uSizeMask;
#endif

attribute highp vec2 aVector;

varying highp vec2 vCoord;
varying highp vec2 vCoordL;
varying highp vec2 vCoordR;
varying highp vec2 vCoordT;
varying highp vec2 vCoordB;
varying highp vec2 vCoordTL;
varying highp vec2 vCoordTR;
varying highp vec2 vCoordBL;
varying highp vec2 vCoordBR;

#if kMask
varying highp vec2 vCoordMask;
#endif


void main () {
	vCoord = aVector / uSizeSource;

	highp vec2 pixel = 1.0 / uSizeSource;
	vCoordL = vCoord - vec2(pixel.x, 0.0);
	vCoordR = vCoord + vec2(pixel.x, 0.0);
	vCoordT = vCoord - vec2(0.0, pixel.y);
	vCoordB = vCoord + vec2(0.0, pixel.y);
	vCoordTL = vCoord - pixel;
	vCoordTR = vCoord + vec2(-pixel.x, pixel.y);
	vCoordBL = vCoord - vec2(-pixel.x, pixel.y);
	vCoordBR = vCoord + pixel;

#if kMask
	vCoordMask = aVector / uSizeMask;
#endif

	gl_Position = vec4(((aVector / (uSizeDestination * 0.5)) - 1.0), 0.0, 1.0);
}

