
#if kMask || kPreserve
uniform mediump sampler2D uTextureSource;
varying highp vec2 vCoordSource;
#endif

#if kMask
uniform mediump sampler2D uTextureMask;
varying highp vec2 vCoordMask;
#endif

varying mediump vec4 vColor;

void main()
{
#if kMask || kPreserve
	mediump vec4 source = texture2D(uTextureSource, vCoordSource);
#endif

#if kMask
	mediump float mask = texture2D(uTextureMask, vCoordMask).r;
#endif

#if !kMask && !kPreserve
	gl_FragColor = vColor;

#elif kMask && !kPreserve
	gl_FragColor = mix(source, vColor, mask);

#elif !kMask && kPreserve
	gl_FragColor = vColor * source.a;

#else
	gl_FragColor = mix(source, vColor * source.a, mask);
#endif
}