
#if kMask || kPreserve
uniform highp vec2 uSizeSource;
#endif
uniform highp vec2 uSizeDestination;
#if kMask
uniform highp vec2 uSizeMask;
#endif

attribute highp vec2 aVector;
attribute mediump vec4 aColor;

#if kMask || kPreserve
varying highp vec2 vCoordSource;
#endif
#if kMask
varying highp vec2 vCoordMask;
#endif
varying mediump vec4 vColor;


void main () {
	vColor = aColor;
#if kMask || kPreserve
	vCoordSource = aVector / uSizeSource;
#endif
#if kMask
	vCoordMask = aVector / uSizeMask;
#endif

	gl_Position = vec4(((aVector / (uSizeDestination * 0.5)) - 1.0), 0.0, 1.0);
}

