
#define AntiAliasing 0.24


#if kAnts

#define LineSmoothing 0.08

uniform mediump float uWidth;
varying highp vec2 vCoordFragment;

#else

uniform lowp vec4 uColor;
uniform lowp vec4 uOuterColor;

#endif


varying highp float vCoordSide;


void main()
{
	lowp float alpha = smoothstep(0.0, AntiAliasing * 2.0, vCoordSide) * (1.0 - smoothstep(1.0 - (AntiAliasing * 2.0), 1.0, vCoordSide));

#if kAnts
	lowp float distance = mod(vCoordFragment.x + vCoordFragment.y, uWidth) / uWidth;
	lowp float level = smoothstep(0.25 - LineSmoothing, 0.25 + LineSmoothing, distance) * (1.0 - smoothstep(0.75 - LineSmoothing, 0.75 + LineSmoothing, distance));

	gl_FragColor = vec4(vec3(level), 1.0) * alpha;

#else
	lowp float color = smoothstep(0.0, AntiAliasing * 2.0, vCoordSide) * (1.0 - smoothstep(1.0 - (AntiAliasing * 2.0), 1.0, vCoordSide));

	gl_FragColor = mix(uOuterColor, uColor, color) * alpha;
#endif
}
