
uniform highp vec2 uSize;
uniform highp mat4 uTransform;
uniform highp float uRadius;

attribute highp vec2 aPosition;
attribute highp vec2 aVector;
attribute highp float aSide;

varying highp float vCoordSide;

#if kAnts
uniform mediump float uWidth;
uniform mediump float uTime;

varying highp vec2 vCoordFragment;
#endif

void main ()
{
	highp vec4 position = uTransform * vec4(aPosition + (aVector * uRadius), 1.0, 1.0);
	position /= position.w;

#if kAnts
	vCoordFragment = position.xy + (uWidth * uTime);
#endif
	vCoordSide = aSide;

	gl_Position = vec4(((position.xy / (uSize * 0.5)) - 1.0), 0.0, 1.0);
}
