
uniform highp vec2 uSizeSource;
uniform highp vec2 uSizeDestination;
uniform highp mat4 uTransform;

uniform mediump float uWidth;
uniform mediump float uTime;

attribute highp vec2 aVector;

varying highp vec2 vCoordSource;
varying highp vec2 vCoordMask;


void main()
{
	vCoordSource = aVector / uSizeSource;

	highp vec4 position = uTransform * vec4(aVector, 0.0, 1.0);
	vCoordMask = position.xy / uWidth;

	lowp float angle = atan(uTransform[0][1], uTransform[0][0]);

	highp float c = cos(angle);
	highp float s = sin(angle);
	
	vCoordMask = (mat2(c, -s, s, c) * vCoordMask) + uTime;

	gl_Position = vec4(((position.xy / (uSizeDestination * 0.5)) - 1.0), 0.0, 1.0);
}
