
uniform lowp sampler2D uTextureShape;
uniform lowp sampler2D uTextureGrain;
uniform lowp vec4 uColor;

varying highp vec2 vCoordBrush;

#if kOutline
varying highp vec2 vCoordShapeTL;
varying highp vec2 vCoordShapeTR;
varying highp vec2 vCoordShapeBL;
varying highp vec2 vCoordShapeBR;
#endif

varying highp vec2 vCoordMask;
varying lowp float vAlpha;


void main() {
	lowp float shape = texture2D(uTextureShape, vCoordMask).r;
	lowp float grain = texture2D(uTextureGrain, vCoordBrush).r;
	
	#if kOutline
	bool outline = false;
	if (shape < 0.1) {
		lowp float sTL = texture2D(uTextureShape, vCoordShapeTL).r;
		lowp float sTR = texture2D(uTextureShape, vCoordShapeTR).r;
		lowp float sBL = texture2D(uTextureShape, vCoordShapeBL).r;
		lowp float sBR = texture2D(uTextureShape, vCoordShapeBR).r;
		lowp float maxShape = max(max(sTL, sTR), max(sBL, sBR));
		if (maxShape > 0.1) {
			outline = true;
		}
	}
	#endif
	
	lowp vec4 color = uColor * (grain * shape * vAlpha);
	#if kOutline
	if (outline) {
//	color.bg = clamp(color.bg + outline, 0.0, 1.0);
		lowp vec4 iColor = vec4(vec3(1.0, 1.0, 1.0) - uColor.rgb, 0.8);
		color = iColor;
	}
	#endif
	gl_FragColor = color;
}
