
uniform highp vec2 uSize;
uniform highp mat4 uTransform;

attribute highp vec2 aVector;
attribute highp vec2 aCoordGrain;
attribute highp vec2 aCoordShape;
attribute mediump float aAlpha;

varying highp vec2 vCoordBrush;

#if kOutline
varying highp vec2 vCoordShapeTL;
varying highp vec2 vCoordShapeTR;
varying highp vec2 vCoordShapeBL;
varying highp vec2 vCoordShapeBR;
#endif

varying highp vec2 vCoordMask;
varying mediump float vAlpha;


void main () {
	vCoordBrush = aCoordGrain;
	
	vCoordMask = aCoordShape;

	#if kOutline
	const highp float offset = 1.0 / 256.0;
	vCoordShapeTL = vCoordMask + vec2( offset,  offset);
	vCoordShapeTR = vCoordMask + vec2(-offset,  offset);
	vCoordShapeBL = vCoordMask + vec2( offset, -offset);
	vCoordShapeBR = vCoordMask + vec2(-offset, -offset);
	#endif

	vAlpha = aAlpha;

	highp vec4 position = uTransform * vec4(aVector, 1.0, 1.0);
	position /= position.w;

	gl_Position = vec4(((position.xy / (uSize * 0.5)) - 1.0), 0.0, 1.0);
}
