uniform mediump float uHue;

varying mediump vec2 rectPos;

mediump vec3 hsv2rgb(mediump vec3 c)
{
    mediump vec4 K = vec4(1.0, 2.0 / 3.0, 1.0 / 3.0, 3.0);
    mediump vec3 p = abs(fract(c.xxx + K.xyz) * 6.0 - K.www);
    return c.z * mix(K.xxx, clamp(p - K.xxx, 0.0, 1.0), c.y);
}

mediump float topo(mediump float value)
{
	mediump float m = mod(value, 0.1);
	return float(m > 0.095) + float(m < 0.005);
}

mediump vec3 rgbForPos(mediump vec2 position)
{
	return hsv2rgb(vec3(uHue, position));
}

void main()
{
	mediump vec3 rgb = rgbForPos(rectPos);

	//gl_FragColor = vec4(topo(rgb.r), topo(rgb.g), topo(rgb.b), 0.0); return;
	gl_FragColor = vec4(rgb, 1.0); return;
}
