
uniform mediump sampler2D uDissolveToTexture;
uniform mediump sampler2D uDissolveFromTexture;

uniform mediump float uTime;

varying highp vec4 vCoordSource;


void main()
{
	mediump vec4 fromTex = vec4(texture2DProj(uDissolveFromTexture, vCoordSource).bgr, 1.0);
	mediump vec4 toTex = vec4(texture2DProj(uDissolveToTexture, vCoordSource).bgr, 1.0);

	mediump float slope = 1.0;
	mediump float line = (vCoordSource.x * slope + 1.0) - ((slope + 1.0) * uTime);
	mediump float mixVal = clamp(line, 0.0, 1.0);

	gl_FragColor = mix(fromTex, toTex, 1.0 - mixVal);
}
